import { FormBuilder, FormArray, ValidatorFn } from "@angular/forms";
import { Observable } from 'rxjs';
import { FieldConfig } from '../interfaces';
export declare class PrivateDynamicFromService {
    private fb;
    private formFieldObservable;
    private clickEventObservable;
    fields: FieldConfig[];
    orderForm: any;
    formConstants: any;
    privateConstants: any;
    validateForm: boolean;
    constructor(fb: FormBuilder);
    clickEvent(): Observable<any>;
    handleReadonly(attrObj: any): void;
    getFormFields(): Observable<any>;
    setFormFields(fieldList: any): void;
    customValidation(type?: any): ValidatorFn;
    minSelectedCheckboxes(min?: number): ValidatorFn;
    updateValidateForm(value: boolean): void;
    updateFields(fields: FieldConfig[]): Observable<any>;
    createItem(): FormArray;
    checkFieldJson(field: any): boolean;
    showRequired(validations: any): boolean;
    checkDisplayAttr(field: any): any;
    calculateClass(fieldSet: any): string;
    errorList(errorListObj: any, fieldObj: any): Array<string>;
    changeEvent(event: any): Observable<any[]>;
    handleReadonlyAttr(attrObj: any): any;
    selectFiles(filesURL: any, i: any, j: any): void;
}
